All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Cauchy, CauchyD, and CauchyDD2
Arithmetic Operations

Determine Cauchy robust error function and its first and second derivatives for each sample of a signal. More...

## Functions

NppStatus | nppsCauchy_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nParam, NppStreamContext nppStreamCtx)
| 32-bit floating point signal Cauchy error calculation. More...
NppStatus | nppsCauchy_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nParam)
NppStatus | nppsCauchyD_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nParam, NppStreamContext nppStreamCtx)
| 32-bit floating point signal Cauchy first derivative. More...
NppStatus | nppsCauchyD_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nParam)
NppStatus | nppsCauchyDD2_32f_I_Ctx (Npp32f *pSrcDst, Npp32f *pD2FVal, int nLength, Npp32f nParam, NppStreamContext nppStreamCtx)
| 32-bit floating point signal Cauchy first and second derivatives. More...
NppStatus | nppsCauchyDD2_32f_I (Npp32f *pSrcDst, Npp32f *pD2FVal, int nLength, Npp32f nParam)

## Detailed Description

Determine Cauchy robust error function and its first and second derivatives for each sample of a signal.

## Function Documentation

NppStatus nppsCauchy_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nParam
| ) |  |

NppStatus nppsCauchy_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nParam,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal Cauchy error calculation.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nParam | constant used in Cauchy formula
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCauchyD_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nParam
| ) |  |

NppStatus nppsCauchyD_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nParam,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal Cauchy first derivative.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nParam | constant used in Cauchy formula
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCauchyDD2_32f_I | ( | Npp32f * | pSrcDst,
|  | Npp32f * | pD2FVal,
|  | int | nLength,
|  | Npp32f | nParam
| ) |  |

NppStatus nppsCauchyDD2_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | Npp32f * | pD2FVal,
|  | int | nLength,
|  | Npp32f | nParam,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal Cauchy first and second derivatives.

Parameters

  pSrcDst | In-Place Signal Pointer.
  pD2FVal | Source Signal Pointer. This signal contains the second derivative of the source signal.
  nLength | Signal Length.
  nParam | constant used in Cauchy formula
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation